package mocks

import (
	"github.com/go-pg/pg/v10/orm"

	"github.com/fiskerinc/cloud-services/pkg/common"
)

// SymKey query methods
type MockSymKeys struct {
	DBMockHelper
	MockListResponse []common.SymKeys
	MockSymKeys      common.SymKeys
}

func (sk *MockSymKeys) Insert(keys common.SymKeys) (orm.Result, error) {
	return sk.ORMResponse, sk.Error
}

func (sk *MockSymKeys) SelectAll() ([]common.SymKeys, error) {
	return sk.MockListResponse, sk.Error
}

func (sk *MockSymKeys) SelectByVIN(vin string) (common.SymKeys, error) {
	return sk.MockSymKeys, sk.Error
}
